namespace evas { 
inline ::efl::eolian::return_traits<int>::type Canvas::image_cache_get() const
{
   int __return_value =  ::evas_canvas_image_cache_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::image_cache_set( ::efl::eolian::in_traits<int>::type size) const
{
    ::evas_canvas_image_cache_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(size));
}
inline ::efl::eolian::return_traits<Efl_Event_Flags>::type Canvas::event_default_flags_get() const
{
   Efl_Event_Flags __return_value =  ::evas_canvas_event_default_flags_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Event_Flags>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::event_default_flags_set( ::efl::eolian::in_traits<Efl_Event_Flags>::type flags) const
{
    ::evas_canvas_event_default_flags_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Event_Flags,  ::efl::eolian::in_traits<Efl_Event_Flags>::type>(flags));
}
inline ::efl::eolian::return_traits<int>::type Canvas::font_cache_get() const
{
   int __return_value =  ::evas_canvas_font_cache_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_cache_set( ::efl::eolian::in_traits<int>::type size) const
{
    ::evas_canvas_font_cache_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(size));
}
inline ::efl::eolian::return_traits<void*>::type Canvas::data_attach_get() const
{
   void * __return_value =  ::evas_canvas_data_attach_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::data_attach_set( ::efl::eolian::in_traits<void*>::type data) const
{
    ::evas_canvas_data_attach_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<Evas_Font_Hinting_Flags>::type Canvas::font_hinting_get() const
{
   Evas_Font_Hinting_Flags __return_value =  ::evas_canvas_font_hinting_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Font_Hinting_Flags>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_hinting_set( ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type hinting) const
{
    ::evas_canvas_font_hinting_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Font_Hinting_Flags,  ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type>(hinting));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::focus_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_top_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_top_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::pointer_canvas_xy_get( ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
    ::evas_canvas_pointer_canvas_xy_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
}
inline ::efl::eolian::return_traits<int>::type Canvas::event_down_count_get() const
{
   int __return_value =  ::evas_canvas_event_down_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Canvas::smart_objects_calculate_count_get() const
{
   int __return_value =  ::evas_canvas_smart_objects_calculate_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::focus_state_get() const
{
   Eina_Bool __return_value =  ::evas_canvas_focus_state_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::changed_get() const
{
   Eina_Bool __return_value =  ::evas_canvas_changed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::pointer_output_xy_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const
{
   int __out_param_x = {};
   int __out_param_y = {};
    ::evas_canvas_pointer_output_xy_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(y, __out_param_y);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::pointer_inside_get() const
{
   Eina_Bool __return_value =  ::evas_canvas_pointer_inside_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::image_max_size_get( ::efl::eolian::out_traits<int>::type maxw,  ::efl::eolian::out_traits<int>::type maxh) const
{
   int __out_param_maxw = {};
   int __out_param_maxh = {};
   Eina_Bool __return_value =  ::evas_canvas_image_max_size_get(this->_eo_ptr()
      , & __out_param_maxw
      , & __out_param_maxh);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(maxw, __out_param_maxw);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(maxh, __out_param_maxh);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_bottom_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_bottom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Canvas::pointer_button_down_mask_get() const
{
   unsigned int __return_value =  ::evas_canvas_pointer_button_down_mask_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type Canvas::tree_objects_at_xy_get( ::efl::eolian::in_traits< ::efl::canvas::Object>::type stop,  ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const
{
   Eina_List * __return_value =  ::evas_canvas_tree_objects_at_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(stop)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_on( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_on(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<Evas_Modifier_Mask>::type Canvas::key_modifier_mask_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
   Evas_Modifier_Mask __return_value =  ::evas_canvas_key_modifier_mask_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Modifier_Mask>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_add( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_off( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_off(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type Canvas::objects_at_xy_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
   Eina_List * __return_value =  ::evas_canvas_objects_at_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::render_async() const
{
   Eina_Bool __return_value =  ::evas_canvas_render_async(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::render2() const
{
   Eina_Bool __return_value =  ::evas_canvas_render2(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::focus_out() const
{
    ::evas_canvas_focus_out(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::norender() const
{
    ::evas_canvas_norender(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< unsigned int>::type Canvas::touch_point_list_count() const
{
   unsigned int __return_value =  ::evas_canvas_touch_point_list_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::nochange_pop() const
{
    ::evas_canvas_nochange_pop(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_off( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_off(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::nochange_push() const
{
    ::evas_canvas_nochange_push(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_cache_flush() const
{
    ::evas_canvas_font_cache_flush(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Canvas::font_hinting_can_hint( ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type hinting) const
{
   Eina_Bool __return_value =  ::evas_canvas_font_hinting_can_hint(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Font_Hinting_Flags,  ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type>(hinting));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_top_at_xy_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_top_at_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_on( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_on(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Canvas::font_available_list() const
{
   Eina_List * __return_value =  ::evas_canvas_font_available_list(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type Canvas::objects_in_rectangle_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
   Eina_List * __return_value =  ::evas_canvas_objects_in_rectangle_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(w)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(h)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_name_find( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_name_find(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_path_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type path) const
{
    ::evas_canvas_font_path_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(path));
}
inline ::efl::eolian::return_traits<int>::type Canvas::touch_point_list_nth_id_get( ::efl::eolian::in_traits< unsigned int>::type n) const
{
   int __return_value =  ::evas_canvas_touch_point_list_nth_id_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(n));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_path_clear() const
{
    ::evas_canvas_font_path_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::smart_objects_calculate() const
{
    ::evas_canvas_smart_objects_calculate(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::touch_point_list_nth_xy_get( ::efl::eolian::in_traits< unsigned int>::type n,  ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
    ::evas_canvas_touch_point_list_nth_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(n)
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_del( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::damage_rectangle_add( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::evas_canvas_damage_rectangle_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<void>::type Canvas::sync() const
{
    ::evas_canvas_sync(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Canvas::font_path_list() const
{
   const Eina_List * __return_value =  ::evas_canvas_font_path_list(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::image_cache_reload() const
{
    ::evas_canvas_image_cache_reload(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<int>::type Canvas::coord_world_x_to_screen( ::efl::eolian::in_traits<Evas_Coord>::type x) const
{
   int __return_value =  ::evas_canvas_coord_world_x_to_screen(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::image_cache_flush() const
{
    ::evas_canvas_image_cache_flush(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Canvas::coord_screen_y_to_world( ::efl::eolian::in_traits<int>::type y) const
{
   Evas_Coord __return_value =  ::evas_canvas_coord_screen_y_to_world(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_del( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<Evas_Touch_Point_State>::type Canvas::touch_point_list_nth_state_get( ::efl::eolian::in_traits< unsigned int>::type n) const
{
   Evas_Touch_Point_State __return_value =  ::evas_canvas_touch_point_list_nth_state_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(n));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Touch_Point_State>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::focus_in() const
{
    ::evas_canvas_focus_in(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::obscured_rectangle_add( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::evas_canvas_obscured_rectangle_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<void>::type Canvas::render_dump() const
{
    ::evas_canvas_render_dump(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_top_in_rectangle_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_top_in_rectangle_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(w)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(h)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::render() const
{
    ::evas_canvas_render(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_path_prepend( ::efl::eolian::in_traits< ::efl::eina::string_view>::type path) const
{
    ::evas_canvas_font_path_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(path));
}
inline ::efl::eolian::return_traits<void>::type Canvas::obscured_clear() const
{
    ::evas_canvas_obscured_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Canvas::coord_screen_x_to_world( ::efl::eolian::in_traits<int>::type x) const
{
   Evas_Coord __return_value =  ::evas_canvas_coord_screen_x_to_world(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_add( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::render_idle_flush() const
{
    ::evas_canvas_render_idle_flush(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<int>::type Canvas::coord_world_y_to_screen( ::efl::eolian::in_traits<Evas_Coord>::type y) const
{
   int __return_value =  ::evas_canvas_coord_world_y_to_screen(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace evas { 
inline ::efl::eolian::return_traits<int>::type Canvas::image_cache_get() const
{
   int __return_value =  ::evas_canvas_image_cache_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::image_cache_set( ::efl::eolian::in_traits<int>::type size) const
{
    ::evas_canvas_image_cache_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(size));
}
inline ::efl::eolian::return_traits<Efl_Event_Flags>::type Canvas::event_default_flags_get() const
{
   Efl_Event_Flags __return_value =  ::evas_canvas_event_default_flags_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Event_Flags>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::event_default_flags_set( ::efl::eolian::in_traits<Efl_Event_Flags>::type flags) const
{
    ::evas_canvas_event_default_flags_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Event_Flags,  ::efl::eolian::in_traits<Efl_Event_Flags>::type>(flags));
}
inline ::efl::eolian::return_traits<int>::type Canvas::font_cache_get() const
{
   int __return_value =  ::evas_canvas_font_cache_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_cache_set( ::efl::eolian::in_traits<int>::type size) const
{
    ::evas_canvas_font_cache_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(size));
}
inline ::efl::eolian::return_traits<void*>::type Canvas::data_attach_get() const
{
   void * __return_value =  ::evas_canvas_data_attach_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<void*>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::data_attach_set( ::efl::eolian::in_traits<void*>::type data) const
{
    ::evas_canvas_data_attach_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<void *,  ::efl::eolian::in_traits<void*>::type>(data));
}
inline ::efl::eolian::return_traits<Evas_Font_Hinting_Flags>::type Canvas::font_hinting_get() const
{
   Evas_Font_Hinting_Flags __return_value =  ::evas_canvas_font_hinting_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Font_Hinting_Flags>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_hinting_set( ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type hinting) const
{
    ::evas_canvas_font_hinting_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Font_Hinting_Flags,  ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type>(hinting));
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::focus_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_focus_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_top_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_top_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::pointer_canvas_xy_get( ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
    ::evas_canvas_pointer_canvas_xy_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
}
inline ::efl::eolian::return_traits<int>::type Canvas::event_down_count_get() const
{
   int __return_value =  ::evas_canvas_event_down_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Canvas::smart_objects_calculate_count_get() const
{
   int __return_value =  ::evas_canvas_smart_objects_calculate_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::focus_state_get() const
{
   Eina_Bool __return_value =  ::evas_canvas_focus_state_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::changed_get() const
{
   Eina_Bool __return_value =  ::evas_canvas_changed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::pointer_output_xy_get( ::efl::eolian::out_traits<int>::type x,  ::efl::eolian::out_traits<int>::type y) const
{
   int __out_param_x = {};
   int __out_param_y = {};
    ::evas_canvas_pointer_output_xy_get(this->_eo_ptr()
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(y, __out_param_y);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::pointer_inside_get() const
{
   Eina_Bool __return_value =  ::evas_canvas_pointer_inside_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::image_max_size_get( ::efl::eolian::out_traits<int>::type maxw,  ::efl::eolian::out_traits<int>::type maxh) const
{
   int __out_param_maxw = {};
   int __out_param_maxh = {};
   Eina_Bool __return_value =  ::evas_canvas_image_max_size_get(this->_eo_ptr()
      , & __out_param_maxw
      , & __out_param_maxh);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(maxw, __out_param_maxw);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(maxh, __out_param_maxh);
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_bottom_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_bottom_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Canvas::pointer_button_down_mask_get() const
{
   unsigned int __return_value =  ::evas_canvas_pointer_button_down_mask_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type Canvas::tree_objects_at_xy_get( ::efl::eolian::in_traits< ::efl::canvas::Object>::type stop,  ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y) const
{
   Eina_List * __return_value =  ::evas_canvas_tree_objects_at_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(stop)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_on( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_on(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<Evas_Modifier_Mask>::type Canvas::key_modifier_mask_get( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
   Evas_Modifier_Mask __return_value =  ::evas_canvas_key_modifier_mask_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Modifier_Mask>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_add( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_off( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_off(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type Canvas::objects_at_xy_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
   Eina_List * __return_value =  ::evas_canvas_objects_at_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::render_async() const
{
   Eina_Bool __return_value =  ::evas_canvas_render_async(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Canvas::render2() const
{
   Eina_Bool __return_value =  ::evas_canvas_render2(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::focus_out() const
{
    ::evas_canvas_focus_out(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::norender() const
{
    ::evas_canvas_norender(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< unsigned int>::type Canvas::touch_point_list_count() const
{
   unsigned int __return_value =  ::evas_canvas_touch_point_list_count(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::nochange_pop() const
{
    ::evas_canvas_nochange_pop(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_off( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_off(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::nochange_push() const
{
    ::evas_canvas_nochange_push(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_cache_flush() const
{
    ::evas_canvas_font_cache_flush(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<bool>::type Canvas::font_hinting_can_hint( ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type hinting) const
{
   Eina_Bool __return_value =  ::evas_canvas_font_hinting_can_hint(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Font_Hinting_Flags,  ::efl::eolian::in_traits<Evas_Font_Hinting_Flags>::type>(hinting));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_top_at_xy_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_top_at_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_on( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_on(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Canvas::font_available_list() const
{
   Eina_List * __return_value =  ::evas_canvas_font_available_list(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type Canvas::objects_in_rectangle_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
   Eina_List * __return_value =  ::evas_canvas_objects_in_rectangle_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(w)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(h)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_name_find( ::efl::eolian::in_traits< ::efl::eina::string_view>::type name) const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_name_find(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(name));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_path_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type path) const
{
    ::evas_canvas_font_path_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(path));
}
inline ::efl::eolian::return_traits<int>::type Canvas::touch_point_list_nth_id_get( ::efl::eolian::in_traits< unsigned int>::type n) const
{
   int __return_value =  ::evas_canvas_touch_point_list_nth_id_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(n));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_path_clear() const
{
    ::evas_canvas_font_path_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::smart_objects_calculate() const
{
    ::evas_canvas_smart_objects_calculate(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::touch_point_list_nth_xy_get( ::efl::eolian::in_traits< unsigned int>::type n,  ::efl::eolian::out_traits<Evas_Coord>::type x,  ::efl::eolian::out_traits<Evas_Coord>::type y) const
{
   Evas_Coord __out_param_x = {};
   Evas_Coord __out_param_y = {};
    ::evas_canvas_touch_point_list_nth_xy_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(n)
      , & __out_param_x
      , & __out_param_y);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(x, __out_param_x);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<Evas_Coord>::type, Evas_Coord>(y, __out_param_y);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_del( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::damage_rectangle_add( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::evas_canvas_damage_rectangle_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<void>::type Canvas::sync() const
{
    ::evas_canvas_sync(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Canvas::font_path_list() const
{
   const Eina_List * __return_value =  ::evas_canvas_font_path_list(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::image_cache_reload() const
{
    ::evas_canvas_image_cache_reload(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<int>::type Canvas::coord_world_x_to_screen( ::efl::eolian::in_traits<Evas_Coord>::type x) const
{
   int __return_value =  ::evas_canvas_coord_world_x_to_screen(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::image_cache_flush() const
{
    ::evas_canvas_image_cache_flush(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Canvas::coord_screen_y_to_world( ::efl::eolian::in_traits<int>::type y) const
{
   Evas_Coord __return_value =  ::evas_canvas_coord_screen_y_to_world(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_modifier_del( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_modifier_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<Evas_Touch_Point_State>::type Canvas::touch_point_list_nth_state_get( ::efl::eolian::in_traits< unsigned int>::type n) const
{
   Evas_Touch_Point_State __return_value =  ::evas_canvas_touch_point_list_nth_state_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(n));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Touch_Point_State>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::focus_in() const
{
    ::evas_canvas_focus_in(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::obscured_rectangle_add( ::efl::eolian::in_traits<int>::type x,  ::efl::eolian::in_traits<int>::type y,  ::efl::eolian::in_traits<int>::type w,  ::efl::eolian::in_traits<int>::type h) const
{
    ::evas_canvas_obscured_rectangle_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(y)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(w)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(h));
}
inline ::efl::eolian::return_traits<void>::type Canvas::render_dump() const
{
    ::evas_canvas_render_dump(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::canvas::Object>::type Canvas::object_top_in_rectangle_get( ::efl::eolian::in_traits<Evas_Coord>::type x,  ::efl::eolian::in_traits<Evas_Coord>::type y,  ::efl::eolian::in_traits<Evas_Coord>::type w,  ::efl::eolian::in_traits<Evas_Coord>::type h,  ::efl::eolian::in_traits<bool>::type include_pass_events_objects,  ::efl::eolian::in_traits<bool>::type include_hidden_objects) const
{
    ::Efl_Canvas_Object* __return_value =  ::evas_canvas_object_top_in_rectangle_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(x)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(w)
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(h)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_pass_events_objects)
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(include_hidden_objects));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::canvas::Object>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::render() const
{
    ::evas_canvas_render(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Canvas::font_path_prepend( ::efl::eolian::in_traits< ::efl::eina::string_view>::type path) const
{
    ::evas_canvas_font_path_prepend(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(path));
}
inline ::efl::eolian::return_traits<void>::type Canvas::obscured_clear() const
{
    ::evas_canvas_obscured_clear(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<Evas_Coord>::type Canvas::coord_screen_x_to_world( ::efl::eolian::in_traits<int>::type x) const
{
   Evas_Coord __return_value =  ::evas_canvas_coord_screen_x_to_world(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(x));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Canvas::key_lock_add( ::efl::eolian::in_traits< ::efl::eina::string_view>::type keyname) const
{
    ::evas_canvas_key_lock_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(keyname));
}
inline ::efl::eolian::return_traits<void>::type Canvas::render_idle_flush() const
{
    ::evas_canvas_render_idle_flush(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<int>::type Canvas::coord_world_y_to_screen( ::efl::eolian::in_traits<Evas_Coord>::type y) const
{
   int __return_value =  ::evas_canvas_coord_world_y_to_screen(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(y));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline evas::Canvas::operator ::evas::Canvas() const { return *static_cast< ::evas::Canvas const*>(static_cast<void const*>(this)); }
inline evas::Canvas::operator ::evas::Canvas&() { return *static_cast< ::evas::Canvas*>(static_cast<void*>(this)); }
inline evas::Canvas::operator ::evas::Canvas const&() const { return *static_cast< ::evas::Canvas const*>(static_cast<void const*>(this)); }
} }

